<?php

/*-----------------------------------------*\
|   (FSY22) Members Registered Today v2.2   |
+-------------------------------------------+
|   Library Functions File                  |
+-------------------------------------------+
|   (c) 2006 Michael McCune                 |
|   Email: michael.mccune@gmail.com         |
|   http://www.invisionmodding.com/forums   |
\*-----------------------------------------*/

if ( !defined( 'IN_IPB' ) )
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded all the relevant files.";
	exit();
}

class func_mrt
{
	var $ipsclass;
	var $sep_char = '<{ACTIVE_LIST_SEP}>';
	
	function regs_today()
	{
		//-----------------------------------------
		// Initialize our main output array
		//-----------------------------------------
		
		$regs          = array();
		$regs['count'] = 0;
		$regs['link']  = "";
		$regs['style'] = "style='display:inline-compact'";
		
		//-----------------------------------------
		// Let's try not to hose the stats
		//-----------------------------------------
		
		$stats =& $this->ipsclass->cache['stats'];
		
		//-----------------------------------------
		// Query for the members
		//-----------------------------------------
		
		$this->ipsclass->DB->build_query ( array(	'select'   => 'id, members_display_name, mgroup, joined',
													'from'     => 'members',
													'where'    => "id <> 0 AND joined > ".time()." - 172800",
													'order'    => 'members_display_name ASC',
										 )      );
		$this->ipsclass->DB->exec_query();
		
		//-----------------------------------------
		// Sort out the expand/collapse
		//-----------------------------------------
		
		if ( $this->ipsclass->vars['expcol_reg_today'] )
		{
			if ( $this->ipsclass->my_getcookie( "hideregs" ) )
			{
				$regs['style'] = "style='display: none;'";
				$regs['link']  = "<span id='explink' style='display:inline'>[<a href='javascript:expand_regs()'>{$this->ipsclass->lang['expand']}</a>]</span><span id='collink' style='display:none'>[<a href='javascript:collapse_regs()'>{$this->ipsclass->lang['collapse']}</a>]</span>";
			}
			else
			{
				$regs['link']  = "<span id='explink' style='display:none'>[<a href='javascript:expand_regs()'>{$this->ipsclass->lang['expand']}</a>]</span><span id='collink' style='display:inline'>[<a href='javascript:collapse_regs()'>{$this->ipsclass->lang['collapse']}</a>]</span>";
			}
		}
		
		//-----------------------------------------
		// Has anyone registered in a while?
		//-----------------------------------------
		
		$regs['list'] = $this->ipsclass->lang['reg_today_list']."<br /><br />";
		
		while ( $newbie = $this->ipsclass->DB->fetch_row() )
		{
			//-----------------------------------------
			// Check if they've registered today
			//-----------------------------------------
			
			if ( $newbie['joined'] > 0 )
			{
				if ( $this->ipsclass->get_time( $newbie['joined'], 'j-n-Y' ) == $this->ipsclass->get_time( time(), 'j-n-Y' ) )
				{
					$the_date = $this->ipsclass->lang['joined'].": ".$this->ipsclass->get_date( $newbie['joined'], 'LONG' );
					$regs['list'] .= "<a title=\"{$the_date}\" href=\"{$this->ipsclass->base_url}showuser={$newbie['id']}\">".$this->ipsclass->make_name_formatted( $newbie['members_display_name'], $newbie['mgroup'] )."</a>{$this->sep_char} \n";
					$regs['count']++;
				}
			}
		}
		
		$regs['list'] = preg_replace( "/".preg_quote( $this->sep_char )."$/", "", trim( $regs['list'] ) );
		
		//-----------------------------------------
		// Did anyone actually register today?
		//-----------------------------------------
		
		if ( !$regs['count'] )
		{
			if ( $this->ipsclass->vars['ahide_reg_today'] )
			{
				return;
			}
			else
			{
				$regs['list'] = $this->ipsclass->lang['reg_today_none'];
			}
		}
		
		//-----------------------------------------
		// Finally, output the skin template
		//-----------------------------------------
		
		return $this->ipsclass->compiled_templates['skin_boards']->regs_today($regs);
	}
}

?>